Subject: bug#25070: nnir-ignored-newsgroups seems to have no effect for `A T'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 00:56:24 +0200

Dave Abrahams <[email-masked]> writes:

> I have gnus-refer-thread-use-nnir set to t and nnir-ignored-newsgroups
> is "nnimap\\+LocalIMAP:committee\\|nnimap\\+LocalIMAP:\\[Gmail\\]/Spam",
> but when I do `A T' from my Inbox, I see the message
>
>   Searching nnimap+LocalIMAP:committee...
>
> which newsgroup name is definitely matched by the regexp.  I've designed
> the regexp that way because the newsgroup is huge and I don't want to
> wait for it to be searched.  So is there anything I can do about this?

I'm not very familiar with nnir, but I've been trying to follow the
logic of nnir-ignored-newsgroups, and I suspect it's not used in the
code path that `A T' uses.

Could you (setq debug-on-message "committee") to get a backtrace when it
outputs that message so that I can see what the call sequence is?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no